spandsp: t31_state_s Struct Reference

spandsp 0.0.6

Public Attributes | List of all members
t31_state_s Struct Reference

`#include <t31.h>`

## Public Attributes
at_state_t | at_state
t31_modem_control_handler_t * | modem_control_handler
void * | modem_control_user_data
t31_audio_front_end_state_t | audio
t31_t38_front_end_state_t | t38_fe
int | t38_mode
struct { |
uint8_t buf [T31_MAX_HDLC_LEN] |
int len |
int ptr |
int final |
| TRUE when the end of HDLC data from the computer has been detected.
} | hdlc_tx |
struct { |
uint8_t data [T31_TX_BUF_LEN] |
int in_bytes |
| The number of bytes stored in transmit buffer.
int out_bytes |
| The number of bytes sent from the transmit buffer.
int data_started |
| TRUE if the flow of real data has started.
int holding |
| TRUE if holding up further data into the buffer, for flow control.
int final |
| TRUE when the end of non-ECM data from the computer has been detected.
} | tx |
int | dled
int | silence_awaited
| Samples of silence awaited, as specified in a "wait for silence" command.
int | bit_rate
| The current bit rate for the FAX fast message transfer modem.
int | rx_frame_received
| TRUE if a valid HDLC frame has been received in the current reception period.
int64_t | call_samples
| Samples elapsed in the current call.
int64_t | dte_data_timeout
int | modem
| The currently queued modem type.
int | short_train
| TRUE when short training mode has been selected by the computer.
queue_state_t * | rx_queue
logging_state_t | logging
| Error and flow logging control.

## Detailed Description

T.31 descriptor. This defines the working state for a single instance of a T.31 FAX modem.

## Member Data Documentation

## ◆ dled

int t31_state_s::dled

TRUE if DLE prefix just used

## ◆ final

int t31_state_s::final

TRUE when the end of HDLC data from the computer has been detected.

TRUE when the end of non-ECM data from the computer has been detected.

## ◆ [struct]

struct { ... } t31_state_s::hdlc_tx

HDLC buffer, for composing an HDLC frame from the computer to the channel.

## ◆ t38_mode

int t31_state_s::t38_mode

TRUE if working in T.38 mode.

Referenced by t31_init().

## ◆ [struct]

struct { ... } t31_state_s::tx

Buffer for data from the computer to the channel.

The documentation for this struct was generated from the following file:

- private/t31.h